ProyectoCrm/src/app/Modulos/PromocionModulo/Paginas/fw-promocion/Componentes/fw-promocion-detalles/fw-promocion-detalles.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12
    label(for="txtSubtitulo").form-label.h6 Subtitulo
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-align-center
      input(type="text",
              placeholder="Subtitulo",
              [(ngModel)]="tPromocion.Subtitulo",
              name="Subtitulo",
              size="sm")#txtSubtitulo.ControlInput--Input
div.form-row
  div.form-group.col-12.col-lg-6
    label.form-label.h6 Vigencia
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-calendar-alt
      input(type="text",
              bsDatepicker = "",
              [(ngModel)]="tPromocion.Fecha_vigencia",
              (bsValueChange)="Seleccionar_Fecha($event)",
              [bsConfig]="{ adaptivePosition: true , dateInputFormat: 'YYYY-MM-DD' }",
              size="sm")#txtSubtitulo.ControlInput--Input
  div.form-group.col-12.col-lg-6
    label.form-label.h6 Estatus
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-unlock-alt
      select#ddlEstatus([(ngModel)]="tEstatusActual",
                          (change)="CambiarEstatus()",
                          size-select="sm").ControlInput--Select
        option(*ngFor="let tEsta of tEstatus",
                  [ngValue]="tEsta") {{tEsta.Codestatus}}
div.form-row
  div.form-group.col-12.col-lg-3
    img([src]="tManejarImagen.ObtenerImagen()",
        alt="",
        for="flArchivo").card-img-top
  div.form-group.col-12.col-lg-9
    input(type="file",
        #flArchivo="",
        [disabled]="tConfiguracion.Valor === 'S' ? false : true",
        accept=".jpg",
        (change)="tManejarImagen.Cargar_Archivo($event)").custom-file-input#flArchivo
    label(for="flArchivo").custom-file-label Seleccionar imagen

ProyectoCrm/src/app/Modulos/PromocionModulo/Paginas/fw-promocion/Componentes/fw-promocion-detalles/fw-promocion-detalles.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6" for="txtSubtitulo">Subtitulo</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-align-center"></i></span></div>
      <input class="ControlInput--Input" type="text" placeholder="Subtitulo" [(ngModel)]="tPromocion.Subtitulo" name="Subtitulo" size="sm" id="txtSubtitulo"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <label class="form-label h6">Vigencia</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
      <input class="ControlInput--Input" type="text" bsDatepicker="" [(ngModel)]="tPromocion.Fecha_vigencia" (bsValueChange)="Seleccionar_Fecha($event)" [bsConfig]="{ adaptivePosition: true , dateInputFormat: 'YYYY-MM-DD' }" size="sm" id="txtSubtitulo"/>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <label class="form-label h6">Estatus</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-unlock-alt"></i></span></div>
      <select class="ControlInput--Select" id="ddlEstatus" [(ngModel)]="tEstatusActual" (change)="CambiarEstatus()" size-select="sm">
        <option *ngFor="let tEsta of tEstatus" [ngValue]="tEsta">{{tEsta.Codestatus}}</option>
      </select>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-3"><img class="card-img-top" [src]="tManejarImagen.ObtenerImagen()" alt="" for="flArchivo"/></div>
  <div class="form-group col-12 col-lg-9">
    <input class="custom-file-input" type="file" #flArchivo="" [disabled]="tConfiguracion.Valor === 'S' ? false : true" accept=".jpg" (change)="tManejarImagen.Cargar_Archivo($event)" id="flArchivo"/>
    <label class="custom-file-label" for="flArchivo">Seleccionar imagen</label>
  </div>
</div>
